/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { SeriesViewerDescription } from "./SeriesViewerDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let DataChartDescription = /*@__PURE__*/ (() => {
    class DataChartDescription extends SeriesViewerDescription {
        get_type() {
            return "DataChart";
        }
        constructor() {
            super();
            this.hd = false;
            this.h3 = 0;
            this.h4 = 0;
            this.hv = 0;
            this.hw = 0;
            this.hc = false;
            this.he = false;
            this.iq = null;
            this.hb = false;
            this.hy = 0;
            this.hx = 0;
            this.hh = false;
            this.hf = false;
            this.hg = false;
            this.hi = false;
            this.ik = null;
            this.ip = null;
            this.im = null;
            this.io = null;
            this.g9 = null;
            this.hs = 0;
            this.hu = 0;
            this.ht = 0;
            this.hr = 0;
            this.il = null;
            this.is = null;
            this.it = null;
            this.h0 = 0;
            this.h2 = 0;
            this.h1 = 0;
            this.hz = 0;
            this.iu = null;
            this.ir = null;
        }
        get isSquare() {
            return this.hd;
        }
        set isSquare(a) {
            this.hd = a;
            this.g("IsSquare");
        }
        get windowScaleHorizontal() {
            return this.h3;
        }
        set windowScaleHorizontal(a) {
            this.h3 = a;
            this.g("WindowScaleHorizontal");
        }
        get windowScaleVertical() {
            return this.h4;
        }
        set windowScaleVertical(a) {
            this.h4 = a;
            this.g("WindowScaleVertical");
        }
        get actualWindowScaleHorizontal() {
            return this.hv;
        }
        set actualWindowScaleHorizontal(a) {
            this.hv = a;
            this.g("ActualWindowScaleHorizontal");
        }
        get actualWindowScaleVertical() {
            return this.hw;
        }
        set actualWindowScaleVertical(a) {
            this.hw = a;
            this.g("ActualWindowScaleVertical");
        }
        get isHorizontalZoomEnabled() {
            return this.hc;
        }
        set isHorizontalZoomEnabled(a) {
            this.hc = a;
            this.g("IsHorizontalZoomEnabled");
        }
        get isVerticalZoomEnabled() {
            return this.he;
        }
        set isVerticalZoomEnabled(a) {
            this.he = a;
            this.g("IsVerticalZoomEnabled");
        }
        get gridMode() {
            return this.iq;
        }
        set gridMode(a) {
            this.iq = a;
            this.g("GridMode");
        }
        get alignsGridLinesToPixels() {
            return this.hb;
        }
        set alignsGridLinesToPixels(a) {
            this.hb = a;
            this.g("AlignsGridLinesToPixels");
        }
        get autoExpandMarginMaximumValue() {
            return this.hy;
        }
        set autoExpandMarginMaximumValue(a) {
            this.hy = a;
            this.g("AutoExpandMarginMaximumValue");
        }
        get autoExpandMarginExtraPadding() {
            return this.hx;
        }
        set autoExpandMarginExtraPadding(a) {
            this.hx = a;
            this.g("AutoExpandMarginExtraPadding");
        }
        get shouldSuppressAxisLabelTruncation() {
            return this.hh;
        }
        set shouldSuppressAxisLabelTruncation(a) {
            this.hh = a;
            this.g("ShouldSuppressAxisLabelTruncation");
        }
        get shouldAutoExpandMarginForInitialLabels() {
            return this.hf;
        }
        set shouldAutoExpandMarginForInitialLabels(a) {
            this.hf = a;
            this.g("ShouldAutoExpandMarginForInitialLabels");
        }
        get shouldConsiderAutoRotationForInitialLabels() {
            return this.hg;
        }
        set shouldConsiderAutoRotationForInitialLabels(a) {
            this.hg = a;
            this.g("ShouldConsiderAutoRotationForInitialLabels");
        }
        get suppressAutoMarginAndAngleRecalculation() {
            return this.hi;
        }
        set suppressAutoMarginAndAngleRecalculation(a) {
            this.hi = a;
            this.g("SuppressAutoMarginAndAngleRecalculation");
        }
        get autoMarginAndAngleUpdateMode() {
            return this.ik;
        }
        set autoMarginAndAngleUpdateMode(a) {
            this.ik = a;
            this.g("AutoMarginAndAngleUpdateMode");
        }
        get defaultAxisStroke() {
            return this.ip;
        }
        set defaultAxisStroke(a) {
            this.ip = a;
            this.g("DefaultAxisStroke");
        }
        get defaultAxisMajorStroke() {
            return this.im;
        }
        set defaultAxisMajorStroke(a) {
            this.im = a;
            this.g("DefaultAxisMajorStroke");
        }
        get defaultAxisMinorStroke() {
            return this.io;
        }
        set defaultAxisMinorStroke(a) {
            this.io = a;
            this.g("DefaultAxisMinorStroke");
        }
        get axes() {
            return this.g9;
        }
        set axes(a) {
            this.g9 = a;
            this.g("Axes");
        }
        get actualPlotAreaMarginLeft() {
            return this.hs;
        }
        set actualPlotAreaMarginLeft(a) {
            this.hs = a;
            this.g("ActualPlotAreaMarginLeft");
        }
        get actualPlotAreaMarginTop() {
            return this.hu;
        }
        set actualPlotAreaMarginTop(a) {
            this.hu = a;
            this.g("ActualPlotAreaMarginTop");
        }
        get actualPlotAreaMarginRight() {
            return this.ht;
        }
        set actualPlotAreaMarginRight(a) {
            this.ht = a;
            this.g("ActualPlotAreaMarginRight");
        }
        get actualPlotAreaMarginBottom() {
            return this.hr;
        }
        set actualPlotAreaMarginBottom(a) {
            this.hr = a;
            this.g("ActualPlotAreaMarginBottom");
        }
        get computedPlotAreaMarginMode() {
            return this.il;
        }
        set computedPlotAreaMarginMode(a) {
            this.il = a;
            this.g("ComputedPlotAreaMarginMode");
        }
        get seriesPlotAreaMarginHorizontalMode() {
            return this.is;
        }
        set seriesPlotAreaMarginHorizontalMode(a) {
            this.is = a;
            this.g("SeriesPlotAreaMarginHorizontalMode");
        }
        get seriesPlotAreaMarginVerticalMode() {
            return this.it;
        }
        set seriesPlotAreaMarginVerticalMode(a) {
            this.it = a;
            this.g("SeriesPlotAreaMarginVerticalMode");
        }
        get plotAreaMarginLeft() {
            return this.h0;
        }
        set plotAreaMarginLeft(a) {
            this.h0 = a;
            this.g("PlotAreaMarginLeft");
        }
        get plotAreaMarginTop() {
            return this.h2;
        }
        set plotAreaMarginTop(a) {
            this.h2 = a;
            this.g("PlotAreaMarginTop");
        }
        get plotAreaMarginRight() {
            return this.h1;
        }
        set plotAreaMarginRight(a) {
            this.h1 = a;
            this.g("PlotAreaMarginRight");
        }
        get plotAreaMarginBottom() {
            return this.hz;
        }
        set plotAreaMarginBottom(a) {
            this.hz = a;
            this.g("PlotAreaMarginBottom");
        }
        get width() {
            return this.iu;
        }
        set width(a) {
            this.iu = a;
            this.g("Width");
        }
        get height() {
            return this.ir;
        }
        set height(a) {
            this.ir = a;
            this.g("Height");
        }
    }
    DataChartDescription.$t = /*@__PURE__*/ markType(DataChartDescription, 'DataChartDescription', SeriesViewerDescription.$);
    return DataChartDescription;
})();
